import TransactionStatus from '../transaction-status';
/**
 * Represents the outcome of submitting an XRPL transaction.
 */
export default class TransactionResult {
    readonly hash: string;
    readonly status: TransactionStatus;
    readonly validated: boolean;
    /**
     * @param hash The identifying hash of the transaction.
     * @param status The final result of the transaction.
     * @param validated Whether this transaction (and status) are included in a validated ledger.
     *                  The transaction status is only final if this field is true.
     */
    constructor(hash: string, status: TransactionStatus, validated: boolean);
}
