"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Represents the outcome of submitting an XRPL transaction.
 */
class TransactionResult {
    /**
     * @param hash The identifying hash of the transaction.
     * @param status The final result of the transaction.
     * @param validated Whether this transaction (and status) are included in a validated ledger.
     *                  The transaction status is only final if this field is true.
     */
    constructor(hash, status, validated) {
        this.hash = hash;
        this.status = status;
        this.validated = validated;
    }
}
exports.default = TransactionResult;
//# sourceMappingURL=transaction-result.js.map